summaryrefslogtreecommitdiffstats
path: root/gfx/harfbuzz/autogen.sh
diff options
context:
space:
mode:
authorMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
committerMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
commit5f8de423f190bbb79a62f804151bc24824fa32d8 (patch)
tree10027f336435511475e392454359edea8e25895d /gfx/harfbuzz/autogen.sh
parent49ee0794b5d912db1f95dce6eb52d781dc210db5 (diff)
downloadUXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.gz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.lz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.xz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.zip
Add m-esr52 at 52.6.0
Diffstat (limited to 'gfx/harfbuzz/autogen.sh')
-rwxr-xr-xgfx/harfbuzz/autogen.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/gfx/harfbuzz/autogen.sh b/gfx/harfbuzz/autogen.sh
new file mode 100755
index 000000000..ff1b0c0c9
--- /dev/null
+++ b/gfx/harfbuzz/autogen.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+cd $srcdir
+
+echo -n "checking for ragel... "
+which ragel || {
+ echo "You need to install ragel... See http://www.complang.org/ragel/"
+ exit 1
+}
+
+echo -n "checking for pkg-config... "
+which pkg-config || {
+ echo "*** No pkg-config found, please install it ***"
+ exit 1
+}
+
+echo -n "checking for libtoolize... "
+which glibtoolize || which libtoolize || {
+ echo "*** No libtoolize (libtool) found, please install it ***"
+ exit 1
+}
+echo -n "checking for gtkdocize... "
+if which gtkdocize ; then
+ gtkdocize --copy || exit 1
+else
+ echo "*** No gtkdocize (gtk-doc) found, skipping documentation ***"
+ echo "EXTRA_DIST = " > gtk-doc.make
+fi
+
+echo -n "checking for autoreconf... "
+which autoreconf || {
+ echo "*** No autoreconf (autoconf) found, please install it ***"
+ exit 1
+}
+
+echo "running autoreconf --force --install --verbose"
+autoreconf --force --install --verbose || exit $?
+
+cd $olddir
+echo "running configure $@"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"